How to reinstall compiz after UP5 upgrade?

Post your update and upgrade related errors here
Forum rules
Before you post please read this

How to reinstall compiz after UP5 upgrade?

Postby tdtodd on Tue Sep 18, 2012 5:35 pm

After upgradeing to UP5 I accidently removed my compiz packages. How do I reinstall compiz? All I get is: Package compiz-core is not available, but is referred to by another package, etc.

Thanks,
Terry
tdtodd
Level 1
Level 1
 
Posts: 7
Joined: Tue Mar 27, 2012 1:37 am

Linux Mint is funded by ads and donations.
 

Re: How to reinstall compiz after UP5 upgrade?

Postby zerozero on Tue Sep 18, 2012 6:31 pm

have you cleaned your apt cache in /var/cache/apt/archives?
compiz was removed from testing http://packages.qa.debian.org/c/compiz/ ... 3914Z.html
and most of the packages are now either on unstable or in experimental http://packages.debian.org/search?suite=all&section=all&arch=any&searchon=names&keywords=compiz
User avatar
zerozero
Level 16
Level 16
 
Posts: 6435
Joined: Tue Jul 07, 2009 2:29 pm

Re: How to reinstall compiz after UP5 upgrade?

Postby tdtodd on Wed Sep 19, 2012 6:04 am

Thanks, I was able to get things reinstalled and working!

Unfortunately, after the upgrade to UP5, I'm now getting bad text artifacts/corruption. It occurs mainly in gnome-terminal where sequences of characters are not properly rendered. But I've also seen it in the tab labels when running the chrome browser, however, when I mouse-over the tab it is properly re-rendered. This is with compiz, nouveau driver, nvidia 8800 GTS. Things were fine with UP4.

Terry
tdtodd
Level 1
Level 1
 
Posts: 7
Joined: Tue Mar 27, 2012 1:37 am

Re: How to reinstall compiz after UP5 upgrade?

Postby Monsta on Wed Sep 19, 2012 6:29 am

zerozero wrote:compiz was removed from testing

Very strange... what about people who use XFCE (which will be the default DE in Wheezy IIRC) and want to use compiz with it?
Monsta
Level 8
Level 8
 
Posts: 2022
Joined: Fri Aug 19, 2011 3:46 am

Re: How to reinstall compiz after UP5 upgrade?

Postby zerozero on Wed Sep 19, 2012 6:41 am

there is a new build in experimental and let's hope by the time wheezy goes gold that build will be available through backports.

tdtodd,
that is a problem with nouveau. of course i won't advise you to install the proprietary drivers but a smooth experience with compiz might require it.
User avatar
zerozero
Level 16
Level 16
 
Posts: 6435
Joined: Tue Jul 07, 2009 2:29 pm

Re: How to reinstall compiz after UP5 upgrade?

Postby tdtodd on Wed Sep 19, 2012 7:11 am

Thanks again zerozero.

I've tried the current binary nvidia driver but it is not stable with my card. After running for some time, it will always hard-freeze my system. Actually, this is one of the reasons I'm a refugee from Ubuntu. Under 12.04 I could not find an nvidia or nouveau driver combination that is stable (and I tried a lot of different versions). LMDE has been working great with the nouveau driver, at least up to UP4, so with UP5 I'm stuck again. Earlier this year nvidia issued some driver stability warnings about the 8800 series cards. Maybe I should bite the bullet and upgrade my video card?
tdtodd
Level 1
Level 1
 
Posts: 7
Joined: Tue Mar 27, 2012 1:37 am

Re: How to reinstall compiz after UP5 upgrade?

Postby zerozero on Wed Sep 19, 2012 7:31 am

nvidia already sent to legacy support the 6 and 7 series viewtopic.php?f=59&t=112403 so the 8 series "should" be the next;

rephrasing a bit what i said above: the issue is nouveau but also with UP5 we get a new kernel and a new xorg and the way those elements interact is hard to predict; it's an improvement to some and a regression to others;

if as you already tried the standard drivers are of no use you could try http://smxi.org/docs/sgfxi-manual.htm
User avatar
zerozero
Level 16
Level 16
 
Posts: 6435
Joined: Tue Jul 07, 2009 2:29 pm

Re: How to reinstall compiz after UP5 upgrade?

Postby Monsta on Wed Sep 19, 2012 8:26 am

sgfxi is great. :D
Just don't forget to update it so you can get the latest info on drivers and decide what version to install.
For example, here's the current situation (this machine is still on UP4, hence the kernel and xorg versions):

Code: Select all
monsta@asylum ~ $ sgfxi -L n
System Information :: Xorg Version: 1.11 :: Kernel: 3.2.0-2-amd64
Retrieving live data... Success! Here is the current Nvidia Status:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Kernel 3.4: probably current 304/302/173/96, older legacy cards, probably not.
3.1-3.3: current stable/beta. 71xx/96xx drivers: support unknown (let us know!)
3.0: Working: 285/280.xx/173 current-5000 series/96xx-gf2/4 (?). Unknown: 71xx
Kernels pre 3.0: all current stable/beta should work.
-----------------------------------------------------------------
Alert: 96.43.xx driver users, 96.43.23 is the LAST driver for this series, which
means after xorg 1.12, there will be no further support.
173.xx.xx drivers: Support will be dropped in 2013.
6/7000 series card users, 304 series will be new legacy driver for your cards.
-----------------------------------------------------------------
Xorg 1.12 - 304/295/173 latest. 96.43.23. Nothing for 71xx
Xorg 1.11 - 304.xx/173/ latest. 96.43.23. Nothing for 71xx
Xorg 1.10 - Working: All current stable except 71xxx.
Xorg 1.9 - Working: 260.xx and newer/173.xx/96.xx. Support uncertain: 71xx
Xorg 1.7 - Working: 260.xx and newer; 173.xx; 96.xx. Support uncertain: 71xx
Xorg 1.6 - Working: 260.xx and newer (6-9xxx cards); 173.latest (5xxx cards); 96.latest.
Xorg 1.6/1.7+ + 71.xx.xx (early nvidia and some GeForce 2): not known
Use nouveau driver and see if that works: sgfxi -N nouveau

And when you're done with choosing the driver, you can tell sgfxi to install it (and automatically rebuild the needed modules for your kernel). 8)
Monsta
Level 8
Level 8
 
Posts: 2022
Joined: Fri Aug 19, 2011 3:46 am

Linux Mint is funded by ads and donations.
 

Return to Update/Upgrade Issues

Who is online

Users browsing this forum: No registered users and 4 guests